using Zurnal.Domain.UseCase;
using Microsoft.Extensions.DependencyInjection;
using UI;
using Data.Repository;

IServiceCollection services = new ServiceCollection();

services
    .AddDbContext<RemoteDateBaseContext>()
    .AddSingleton<IGroupRepository,SQLGroupRepositoryImpl>()
    .AddSingleton<GroupUseCase>()
    .AddSingleton<GroupConsol>();

var serviceProvider = services.BuildServiceProvider();  

GroupConsol groupUI = serviceProvider.GetService<GroupConsol>();

groupUI.AddGroup();